<?php
defined("BASEPATH") OR die("El acceso al script no está permitido");
//En este modelo se encuentran todas las consultas realizadas en la tabla de productosfranquicias(Admin)
class Inventario_models extends CI_Model
{
    public function __construct()
    {
      parent::__construct();
    }
    
  public function BuscarFranq(){
  $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias ORDER BY  NombreFranquicia ASC'); 
  if ($query->num_rows() > 0) { 
  foreach($query->result() as $row) 
  $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
  $query->free_result(); 
  return $arrDatos; }
 }
  //Consulta que hace la busqueda del usuario dependiendo la franquicia
  public function buscarporfranquicia($query) {
  $this->db->where('Franquicias_IdFranquicias', $query);
  //Valida que se haya hecho la consulta
  $query = $this->db->get('productosfranquicias');

  if ($query->num_rows() > 0){
    return $query;
  }else{
      // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('inventario/Administrador/InventarioA','refresh');

       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."inventario/Administrador/InventarioA';
                 </script>";
    }
  }
  public function BuscarTipo(){
  $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto ORDER BY NombreTipoProducto ASC'); 
  if ($query->num_rows() > 0) { 
  foreach($query->result() as $row) 
  $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
  $query->free_result(); 
  return $arrDatos;}
}
  //Consulta que hace la busqueda del usuario dependiendo la franquicia
  public function buscarporTipo($query) {
  $this->db->select('*');
  $this->db->join('productosgenerales','productosGenerales_IdProductosGenerales = IdProductosGenerales','inner');
  $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
  $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
  $this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
  $this->db->where('TipoProducto_IdTipoProducto', $query);
  
     //Valida que se haya hecho la consulta
  $query = $this->db->get('productosfranquicias');
  if ($query->num_rows() > 0){
  return $query;
  }else{ 
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('inventario/Administrador/InventarioA','refresh');

        echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."inventario/Administrador/InventarioA';
                 </script>";
   
  }
}

}